Dudas con estos comandos

Imagen de RiDiSC
0 puntos

Buenas a todos!

Vereis, tengo un problema con mi portatil, el cual no se puede encener el boton del wifi para poder activarlo. Buscando por ahi, encontre una solucion, la cual requeria la instalacion de un paquete. Aqui esta:

Como Instalarlo

1. Extraer fsam7440-0.1.tar.bz2
tar xfj fsam7440-xxx.tar.bz2

2. Compilar el modulo
cd fsam7440-xxx
make

3. Instalar el modulo
make install

4. Probarlo
modprobe fsam7440

Esta todo en este enlace http://fsam7440.sourceforge.net/es/install.html .

El caso es que cuando hago el primer comando, no me deja, me dice que no se puede. Tambien es verdad que no reconozco la linea "tar.." pero tb soy nuevo y no se mucho de que si es ara un Ubuntu antiguo (Uso Ubuntu 10.04) o hago algo mal. De todas formas, lo que me interesa es instalarlo, aunque sea por otros medios o comandos.

Gracias de antemano!

Imagen de pabloj7
+1
0
-1

donde tienes xxx tienes que cambiarlo por la versión del paquete, en este caso 0.1

+1
0
-1

We were but stones, your light made us stars.

http://linuxveredas.blogspot.com/

Imagen de RiDiSC
+1
0
-1

Buenas, antes de nada darte las gracias por contestar!

Eso ya lo hice, aun asi lo descomprimi y he llegado al segundo paso, pero me tira un error, pego lo que me sale:

kiko@kiko-laptop:~/Descargas/fsam7440-0.4$ make
make -C /lib/modules/2.6.32-34-generic/build SUBDIRS=/home/kiko/Descargas/fsam7440-0.4 modules
make[1]: se ingresa al directorio «/usr/src/linux-headers-2.6.32-34-generic»
CC [M] /home/kiko/Descargas/fsam7440-0.4/fsam7440.o
/home/kiko/Descargas/fsam7440-0.4/fsam7440.c: In function ‘amilom7440_proc_cleanup’:
/home/kiko/Descargas/fsam7440-0.4/fsam7440.c:168: error: ‘proc_root’ undeclared (first use in this function)
/home/kiko/Descargas/fsam7440-0.4/fsam7440.c:168: error: (Each undeclared identifier is reported only once
/home/kiko/Descargas/fsam7440-0.4/fsam7440.c:168: error: for each function it appears in.)
/home/kiko/Descargas/fsam7440-0.4/fsam7440.c: In function ‘amilom7440_proc_init’:
/home/kiko/Descargas/fsam7440-0.4/fsam7440.c:179: error: ‘proc_root’ undeclared (first use in this function)
make[2]: *** [/home/kiko/Descargas/fsam7440-0.4/fsam7440.o] Error 1
make[1]: *** [_module_/home/kiko/Descargas/fsam7440-0.4] Error 2
make[1]: se sale del directorio «/usr/src/linux-headers-2.6.32-34-generic»
make: *** [default] Error 2

A que se debe? como puedo solucionarlo?

Gracias de antemano!

+1
0
-1
Imagen de pabloj7
+1
0
-1

cuando descomprimes el archivo ¿hay algun readme o install que puedas seguir?
¿tienes instalado build-essential?
aquí te dejo un pequeño manual:
http://linuxveredas.blogspot.com/2011/10/instalar-paquetes-utilizando-el...

+1
0
-1

We were but stones, your light made us stars.

http://linuxveredas.blogspot.com/

Imagen de RiDiSC
+1
0
-1

Buenas de nuevo, gracias por tu contestacion y tu tiempo.

El caso es que si, ya esta instalado esos dos tanto el linux head como el build-essential.

Hay un archivo de readme, pero es para cuando el modulo este ya instalado, sobre como ponerlo en funcionamiento. Que puedo hacer??
gracias de antemano!

+1
0
-1
Imagen de Jose Luis 1320
+1
0
-1

tal vez te haga falta hacer un

./configure

ese te dice que dependencias te faltan para construir el binario.

+1
0
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de RiDiSC
+1
0
-1

Buenas, sobre todo darte las gracias por tomarte tiempo para contestar :)

El caso esque hay 2 links de descargas, el 0.4 y el 0.2 donde se especifica que es para consola. Me baje los 2 para ir trasteando con ellos. En el 0.4, he hec el ./configure y no existe el archivo; y en el 0.2 si existe y me sale todo esto:

kiko@kiko-laptop:~/Descargas/fsam7440-console-0.2$ ./configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
configure: creating ./config.status
config.status: creating Makefile
config.status: executing depfiles commands

Luego hice un make para probar con este 0.2 y salio lo siguiente:

kiko@kiko-laptop:~/Descargas/fsam7440-console-0.2$ make
if gcc -DPACKAGE_NAME=\"fsam7440_console\" -DPACKAGE_TARNAME=\"fsam7440_console\" -DPACKAGE_VERSION=\"0.2\" -DPACKAGE_STRING=\"fsam7440_console\ 0.2\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"fsam7440_console\" -DVERSION=\"0.2\" -I. -I. -g -O2 -MT fsam7440c.o -MD -MP -MF ".deps/fsam7440c.Tpo" -c -o fsam7440c.o fsam7440c.c; \
then mv -f ".deps/fsam7440c.Tpo" ".deps/fsam7440c.Po"; else rm -f ".deps/fsam7440c.Tpo"; exit 1; fi
fsam7440c.c: In function ‘amilom7440_set_radio’:
fsam7440c.c:89: warning: incompatible implicit declaration of built-in function ‘exit’
fsam7440c.c:93: warning: incompatible implicit declaration of built-in function ‘exit’
fsam7440c.c:98: warning: incompatible implicit declaration of built-in function ‘exit’
fsam7440c.c: In function ‘print_help’:
fsam7440c.c:104: warning: incompatible implicit declaration of built-in function ‘exit’
fsam7440c.c: In function ‘main’:
fsam7440c.c:115: warning: incompatible implicit declaration of built-in function ‘exit’
fsam7440c.c:121: warning: incompatible implicit declaration of built-in function ‘exit’
gcc -g -O2 -o fsam7440 fsam7440c.o

y por ultimo un make install, y me salio lo mismo que en el 0.4

kiko@kiko-laptop:~/Descargas/fsam7440-console-0.2$ make install
make[1]: se ingresa al directorio «/home/kiko/Descargas/fsam7440-console-0.2»
test -z "/usr/local/bin" || mkdir -p -- "/usr/local/bin"
/usr/bin/install -c 'fsam7440' '/usr/local/bin/fsam7440'
/usr/bin/install: no se puede crear el fichero regular «/usr/local/bin/fsam7440»: Permiso denegado
make[1]: *** [install-binPROGRAMS] Error 1
make[1]: se sale del directorio «/home/kiko/Descargas/fsam7440-console-0.2»
make: *** [install-am] Error 2

Soy nuevo en Ubuntu, pero me gusta mucho y me gustaria solucionar esto y poder ir aprendiendo poco a poco, si me pudierais echar una mano entre todo os lo agradeceria mucho

Muchas gracias de antemano.
Un saludo!

+1
0
-1
Imagen de rioport
+1
0
-1

Al parecer la compilación salió bien. El último comando (solo el último) hazlo con:

sudo make install
+1
0
-1

-- GC --

Imagen de RiDiSC
+1
0
-1

Gracis por contestar riport! He hecho lo que me has dicho y me sale lo siguiente:

kiko@kiko-laptop:~/Descargas/fsam7440-console-0.2$ sudo make install
make[1]: se ingresa al directorio «/home/kiko/Descargas/fsam7440-console-0.2»
test -z "/usr/local/bin" || mkdir -p -- "/usr/local/bin"
/usr/bin/install -c 'fsam7440' '/usr/local/bin/fsam7440'
make[1]: No se hace nada para «install-data-am».
make[1]: se sale del directorio «/home/kiko/Descargas/fsam7440-console-0.2»
kiko@kiko-laptop:~/Descargas/fsam7440-console-0.2$

Esta ya instalado?es que lo que sale no me convence..
Gracias de antemano!

+1
0
-1
Imagen de peliax
+1
0
-1

¿Te salió al final? A mi me pasa lo mismo

+1
0
-1
Imagen de Goyo
+1
0
-1

Si te pasa lo mismo creo que el programa ya está instalado.

+1
0
-1